@import 'settings';
@import 'mixins';

@import '~react-select/dist/react-select.css';

.SmartSelectContainer {
    display: inline-block;
    vertical-align: middle;
    min-width: 320px;
    margin-right: 5px;

    $select-height: 28px;

    .Select {
        .Select-control {
            height: $select-height;
            border-radius: 3px;
            border-color: $gray-400;
            color: $black;

            .Select-value {
                max-width: calc(100% - 35px);
            }
        }

        .Select-placeholder {
            color: $gray-600;
        }

        &.is-focused {
            .Select-control {
                border-color: $gray-700;
                box-shadow: 1px 1px 1px rgba($black, 0.50),
                           -1px -1px 1px rgba($black, 0.50);

            }
        }

        .Select-input,
        .Select-placeholder,
        &--single > .Select-control .Select-value {
            height: $select-height;
            line-height: $select-height;
        }

        &.has-value.Select--single > .Select-control .Select-value .Select-value-label,
        &.has-value.is-pseudo-focused.Select--single > .Select-control .Select-value .Select-value-label {
            color: $black;
        }
    }

    .Select-clear-zone {
        background: $white;
    }

    .Select-arrow {
        transform: scaleX(0.65) scaleY(1.25);
        border-color: $black transparent transparent;
    }

    .Select-menu-outer {
        z-index: 20;
        border-color: $gray-600;
    }

    .Select.is-focused .Select-menu-outer {
        box-shadow: 1px 1px 1px rgba($black, 0.20),
                   -1px -1px 1px rgba($black, 0.20);
    }

    .Select-option {
        color: $black;

        &.is-selected {
            color: $black;
            background-color: $gray-200;
        }

        &.is-focused {
            color: $black;
            background-color: $gray-100;
        }
    }
}
